<?php

if(!defined("ABSPATH")){ die; }

function modify_meta_js($page){
   global $typenow; 
   if ($typenow!="wpptabs") {
      return;
   }
   wp_enqueue_script('modify_meta', plugins_url('modify_meta.js', __FILE__), array('jquery'), '1.0.0');
   wp_localize_script('modify_meta', 'my_meta', array('value' => get_post_meta(get_the_ID,'row_counter',true), 'verify' => wp_create_nonce('modify_meta')));
};

add_action('admin_enqueue_scripts', 'modify_meta_js');

function save_modify_meta(){
   if(!isset($_POST['value'], $_POST['action'], $_POST['ex_id'], $_POST['verify']) || $_POST['action'] != 'save_jeditable' || !wp_verify_nonce($_POST['verify'], 'extend_jeditable')){
      die('Error: Incorrect variables');
   }
   
   $id = absint($_POST['ex_id']);
   $key = (string) $_POST['id'];
   $value = (string) $_POST['value'];

   if(!current_user_can('edit_post', $id) && !current_user_can('edit_page', $id)){
      die('Error::No permisison to edit data');
   }elseif($key == ''){
      die('Error:: `ID` variable not present or empty');
   }
   
   update_post_meta($id, $key, $value);
   
   echo $value;
   die;
}

add_action('wp_ajax_modify_meta', 'save_modify_meta');
?>