<?php
wp_enqueue_style('wpptabs-config-table-bootstrap');
wp_register_style('wpptabs_cwp-wppt-pricing-tables_style_tooltip', WPPTABS_URLPATH.'/css/tooltip.css');
   
  wp_enqueue_style('wpptabs_cwp-wppt-pricing-tables_style_tooltip');
	 
	   wp_enqueue_script('wpptabs-powertips', WPPTABS_URLPATH . '/js/jquery.powertip-1.1.0.min.js',array('jquery'));

wp_enqueue_script(
		'wpptabs-tooltipjs',
		WPPTABS_URLPATH . '/js/tooltip.js',
		array('jquery')
	);
/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
$table_themes_array=unserialize(get_option('wpptabs_table_themes'));//get the table theme
$themes_color_sets=unserialize(get_option('wpptabs_themes_colors'));//get the table color

if (get_post_meta(get_the_ID(), 'wpptabs_init', true) != 'done'){//Print a message if post not saved
_e("<div  style=\"text-align: center;\"><strong style=\"color: rgb(3, 98, 202);; \">Please first save/publish the post before editing anything</strong></div>");
add_post_meta(get_the_ID(),'wpptabs_hoverable-'.get_the_ID(), '');
add_post_meta(get_the_ID(),'wpptabs_selected_theme-'.get_the_ID(),'');//get saved table theme
add_post_meta(get_the_ID(),'wpptabs_selected_color-'.get_the_ID(),'');//get saved table color
}
$hoverable=get_post_meta(get_the_ID(),'wpptabs_hoverable-'.get_the_ID(), true);

$column_width=get_post_meta(get_the_ID(),'wpptabs_column_width', true);
$saved_theme=get_post_meta(get_the_ID(),'wpptabs_selected_theme-'.get_the_ID(),true);//get saved table theme
$saved_color=get_post_meta(get_the_ID(),'wpptabs_selected_color-'.get_the_ID(),true);//get saved table color
//generating select for table theme
echo '<div class="key">Select the pricing table design</div><div  class="value"><select name="wpptabs_selected_theme-'.get_the_ID().'" id="style_switcher"><option>-Select Design-</option>';
foreach ($table_themes_array as $theme_file => $theme_name ){
    echo '<option';
    if ($saved_theme==$theme_name){
        echo ' selected';
    }
    echo ' value="'.$theme_name.'">'.$theme_file.'</option>';
}
echo '</select></div><br /><div class="key">Select the pricing table colour</div><div  class="value"><select name="wpptabs_selected_color-'.get_the_ID().'"><option>-Select Color-</option>';
//generating select for table color
foreach ($themes_color_sets as $color_name=>$single_set ){
    foreach ($single_set as $color_name=>$color_code){
        echo '<option';
        if ($saved_color==$color_code){
            echo ' selected';
        }
        echo ' value="'.$color_code.'">'.$color_name.'</option>';
    }
   
}
echo '</select></div><br />'; 
//generating checkbox for hoverable
?><div class="key">Make columns hoverable<span title="<strong>What this feature do?</strong>When you switch on this feature, pricing table columns will be highlighted when user will hover them over with his mouse pointer." class="cwp-wppt-pricing-tables_tooltip top-right black"><img class="info-icon" src="<?php echo WPPTABS_URLPATH.'/images/tooltip.png'?>" alt="tooltip" title="" /></span></div><div  class="value">  <?php 
if($hoverable==="on"){
?>

<p class="wpptabs_hoverable-<?php  echo get_the_ID();?> switch">
    <input type="radio" id="ON" class="on286" name="wpptabs_hoverable-<?php  echo get_the_ID();?>" value="on" checked="checked">
    <input type="radio" id="OFF" class="off286" name="wpptabs_hoverable-<?php  echo get_the_ID();?>-off" value="off"  >
   <label for="ON" id="wpptabs_hoverable-<?php  echo get_the_ID();?>" class="cb-enable  selected"><span>ON</span></label>
    <label for="OFF" id="wpptabs_hoverable-<?php  echo get_the_ID();?>" class="cb-disable"><span>OFF</span></label>
</p>
<?php 
}else{?>
<p class="wpptabs_hoverable-<?php  echo get_the_ID();?> switch">
     <input type="radio" id="ON" class="on286" name="wpptabs_hoverable-<?php  echo get_the_ID();?>-on" value="on">
    <input type="radio" id="OFF" class="off286" name="wpptabs_hoverable-<?php  echo get_the_ID();?>" value="off"  checked="checked">
   <label for="ON" id="wpptabs_hoverable-<?php  echo get_the_ID();?>" class="cb-enable"><span>ON</span></label>
    <label for="OFF" id="wpptabs_hoverable-<?php  echo get_the_ID();?>" class="cb-disable selected"><span>OFF</span></label>
</p>
<?php 
} 
//print a shortcode
if($column_width==0){
$column_width=180;

}
?></div><br /><br /><br />
<div class="key">
Set column width:</div><div  class="value">
<input class="input-medium" style="width: 50px;" type="text" name="wpptabs_column_width" value="<?php  echo $column_width; ?>">px
</div><br />
<div class="key">
Shortcode to place on a page: </div><div  class="value" style="
line-height: 36px;"><strong> <?php  echo "[wpptabs id=".get_the_ID()."]"; ?></strong> </div><br/>

